نطاقات مخصصة

GET https://25url.com/api/domains/
curl --request GET \
--url 'https://25url.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
search اختياري سلسلة سلسلة البحث.
search_by اختياري سلسلة في أي حقل تبحث؟ القيم المسموح بها هي: host.
is_enabled اختياري قيمة بولية
datetime_field اختياري سلسلة القيم المسموح بها: datetime, last_datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة بالحقل الذي سيتم ترتيب النتائج حسبه. القيم المسموح بها هي: domain_id, datetime, last_datetime, host.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي ترغب في الحصول على النتائج منها. الافتراضي هو 1
results_per_page اختياري عدد صحيح كم عدد النتائج التي ترغب في عرضها في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-04 15:01:29",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://25url.com/api/domains?page=1",
        "last": "https://25url.com/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://25url.com/api/domains?page=1"
    }
}
GET https://25url.com/api/domains/{domain_id}
curl --request GET \
--url 'https://25url.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-04 15:01:29",
    }
}
POST https://25url.com/api/domains
المعلمات تفاصيل الوصف
host مطلوب سلسلة -
custom_index_url اختياري سلسلة -
custom_not_found_url اختياري سلسلة -
curl --request POST \
--url 'https://25url.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://25url.com/api/domains/{domain_id}
المعلمات تفاصيل الوصف
host اختياري سلسلة -
custom_index_url اختياري سلسلة -
custom_not_found_url اختياري سلسلة -
curl --request POST \
--url 'https://25url.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://25url.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://25url.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \